unit Splash;
{
  
    BOINCprog - show status and progress of current WU on single-CPU system
    Copyright (C) 2004, 2005  Trane Francks

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 59 Temple Place, Suite 330, Boston, MA  02111-1307  USA

    Comments, suggestions and bug reports may be sent electronically to:

    Trane Francks <trane@gol.com>

    Snail-mail should be addressed to:

    Trane Francks
    Sento Hills Tsurukawa #305
    1856-4 Kanai-cho, Machida-shi
    Tokyo-to 195-0071 JAPAN

}

interface

uses
  SysUtils, Types, Classes, Variants, QTypes, QGraphics, QControls, QForms, 
  QDialogs, QStdCtrls, QExtCtrls, QStyle;

type
  TfrmSplash = class(TForm)
    Timer1: TTimer;
    procedure Timer1Timer(Sender: TObject);
    procedure FormCreate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

var
  frmSplash: TfrmSplash;
  counter : integer;

implementation

uses unitMain;

{$R *.xfm}

procedure TfrmSplash.Timer1Timer(Sender: TObject);
begin
  inc(counter);
  if (counter > 2) then
  begin
    Timer1.Enabled := false;
    frmSplash.Hide;
  end;
end;

procedure TfrmSplash.FormCreate(Sender: TObject);
begin
  counter := 0;
  Application.Style.DefaultStyle := dsCDE;
end;



end.
